| 0.9.7

- Main Page
- Modules
- Files

Functions
GLM_GTX_normal
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | triangleNormal (tvec3< T, P > const &p1, tvec3< T, P > const &p2, tvec3< T, P > const &p3)

## Detailed Description

Compute the normal of a triangle.

<glm/gtx/normal.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tvec3<T, P> glm::triangleNormal | ( | tvec3< T, P > const & | p1,
|  | tvec3< T, P > const & | p2,
|  | tvec3< T, P > const & | p3
| ) |  |

Computes triangle normal from triangle points.

From GLM_GTX_normal extension.